Loading...
Searching...
No Matches
osmium::StringMatcher::equal Class Reference

`#include <string_matcher.hpp>`

Inheritance diagram for osmium::StringMatcher::equal:
[legend]
Collaboration diagram for osmium::StringMatcher::equal:
[legend]

## Public Member Functions

| equal (std::string str)
| equal (const char *str)
bool | match (const char *test_string) const noexcept
template<typename TChar, typename TTraits>
void | print (std::basic_ostream< TChar, TTraits > &out) const

## Private Attributes

std::string | m_str

## Detailed Description

Matches if the test string is equal to the stored string.

## Constructor & Destructor Documentation

## equal() [1/2]

osmium::StringMatcher::equal::equal | ( | std::string | str | ) |

inlineexplicit

## equal() [2/2]

osmium::StringMatcher::equal::equal | ( | const char * | str | ) |

inlineexplicit

## Member Function Documentation

## match()

bool osmium::StringMatcher::equal::match | ( | const char * | test_string | ) | const

inlinenoexcept

## print()

template<typename TChar, typename TTraits>

void osmium::StringMatcher::equal::print | ( | std::basic_ostream< TChar, TTraits > & | out | ) | const

inline

## Member Data Documentation

## m_str

std::string osmium::StringMatcher::equal::m_str

private

The documentation for this class was generated from the following file:

- include/osmium/util/string_matcher.hpp